Debian Bug report logs - #669670
libx11: FTBFS[kfreebsd] (missing declaration for issetugid)

version graph

Package: libx11; Maintainer for libx11 is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Fri, 20 Apr 2012 21:03:01 UTC

Severity: serious

Tags: help, upstream

Found in version 2:1.4.99.901-1

Fixed in version libx11/2:1.4.99.901-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, petr.salinger@seznam.cz, debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#669670; Package libx11. (Fri, 20 Apr 2012 21:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to petr.salinger@seznam.cz, debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 20 Apr 2012 21:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: submit@bugs.debian.org
Subject: libx11: FTBFS[kfreebsd] (missing declaration for issetugid)
Date: Fri, 20 Apr 2012 23:00:59 +0200
[Message part 1 (text/plain, inline)]
Package: libx11
Version: 2:1.4.99.901-1
Severity: serious
Tags: help upstream
X-Debbugs-Cc: Petr Salinger <Petr.Salinger@seznam.cz>, debian-bsd@lists.debian.org

On Fri, Apr 20, 2012 at 22:38:20 +0200, Petr Salinger wrote:

> Hi,
> 
> >Xlib uses AC_CHECK_FUNC(issetugid) in configure.ac, and then
> >#include <unistd.h>
> >issetugid();
> >in the code.  On Linux everything's fine because libc doesn't have that
> >function.  OTOH kfreebsd explodes with a missing prototype, see
> >https://buildd.debian.org/status/fetch.php?pkg=libx11&arch=kfreebsd-amd64&ver=2%3A1.4.99.901-1&stamp=1334874367
> >
> >Is that function defined somewhere on kfreebsd?  If so, where?  And
> >shouldn't unistd.h pull that in?
> 
> No, the prototype is not defined anywhere,
> the function is available mainly for linking of old code.
> 
> The key problem is that configure uses different set of CFLAGS
> compared to real build:
> 
>   checking for issetugid... yes
> 
> and
> 
>   error: implicit declaration of function 'issetugid' [-Werror=implicit-function-declaration]
> 
OK.  I guess this could be solved by adding AC_CHECK_DECL in addition to
the existing AC_CHECK_FUNC and only using this function if both tests
succeed.  I'll gladly take a patch, otherwise it'll wait until I can get
to this.  Filing a bug for now...

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#669670; Package libx11. (Sun, 29 Apr 2012 14:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 29 Apr 2012 14:45:10 GMT) Full text and rfc822 format available.

Message #10 received at 669670@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: xorg-devel@lists.x.org
Cc: 669670@bugs.debian.org, debian-bsd@lists.debian.org, Julien Cristau <jcristau@debian.org>
Subject: [PATCH libX11] configure: check if issetugid is declared
Date: Sun, 29 Apr 2012 16:43:09 +0200
GNU/kFreeBSD has issetugid in libc (for legacy apps?), but doesn't
declare it anywhere, causing gcc to error out with
-Werror=implicit-function-declaration.  Use AC_CHECK_DECL in addition to
AC_CHECK_FUNC so we disable this code instead of failing to build it.

Debian bug#669670 <http://bugs.debian.org/669670>

Signed-off-by: Julien Cristau <jcristau@debian.org>
---
 configure.ac |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index aaec968..c91234f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -223,8 +223,9 @@ AC_CHECK_HEADERS([sys/select.h])
 AC_CHECK_FUNCS([strtol seteuid])
 # Used in lcFile.c (see also --enable-xlocaledir settings below)
 XLOCALEDIR_IS_SAFE="no"
-AC_CHECK_FUNC([issetugid], [XLOCALEDIR_IS_SAFE="yes"]
-	AC_DEFINE(HASSETUGID,1,[Has issetugid() function]))
+AC_CHECK_DECL([issetugid],
+	AC_CHECK_FUNC([issetugid], [XLOCALEDIR_IS_SAFE="yes"]
+		AC_DEFINE(HASSETUGID,1,[Has issetugid() function])))
 AC_CHECK_FUNC([getresuid], [XLOCALEDIR_IS_SAFE="yes"]
 	AC_DEFINE(HASGETRESUID,1,[Has getresuid() & getresgid() functions]))
 # Used in Font.c
-- 
1.7.10





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 15:51:19 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 15:51:19 GMT) Full text and rfc822 format available.

Message #15 received at 669670-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 669670-close@bugs.debian.org
Subject: Bug#669670: fixed in libx11 2:1.4.99.901-2
Date: Sun, 29 Apr 2012 15:48:46 +0000
Source: libx11
Source-Version: 2:1.4.99.901-2

We believe that the bug you reported is fixed in the latest version of
libx11, which is due to be installed in the Debian FTP archive:

libx11-6-dbg_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-6-dbg_1.4.99.901-2_amd64.deb
libx11-6-udeb_1.4.99.901-2_amd64.udeb
  to main/libx/libx11/libx11-6-udeb_1.4.99.901-2_amd64.udeb
libx11-6_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-6_1.4.99.901-2_amd64.deb
libx11-data_1.4.99.901-2_all.deb
  to main/libx/libx11/libx11-data_1.4.99.901-2_all.deb
libx11-dev_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-dev_1.4.99.901-2_amd64.deb
libx11-doc_1.4.99.901-2_all.deb
  to main/libx/libx11/libx11-doc_1.4.99.901-2_all.deb
libx11-xcb-dev_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-xcb-dev_1.4.99.901-2_amd64.deb
libx11-xcb1-dbg_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-xcb1-dbg_1.4.99.901-2_amd64.deb
libx11-xcb1_1.4.99.901-2_amd64.deb
  to main/libx/libx11/libx11-xcb1_1.4.99.901-2_amd64.deb
libx11_1.4.99.901-2.diff.gz
  to main/libx/libx11/libx11_1.4.99.901-2.diff.gz
libx11_1.4.99.901-2.dsc
  to main/libx/libx11/libx11_1.4.99.901-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libx11 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 29 Apr 2012 16:55:39 +0200
Source: libx11
Binary: libx11-6 libx11-6-udeb libx11-data libx11-6-dbg libx11-dev libx11-xcb1 libx11-xcb1-dbg libx11-xcb-dev libx11-doc
Architecture: source all amd64
Version: 2:1.4.99.901-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libx11-6   - X11 client-side library
 libx11-6-dbg - X11 client-side library (debug package)
 libx11-6-udeb - X11 client-side library (udeb)
 libx11-data - X11 client-side library
 libx11-dev - X11 client-side library (development headers)
 libx11-doc - X11 client-side library (development documentation)
 libx11-xcb-dev - Xlib/XCB interface library (development headers)
 libx11-xcb1 - Xlib/XCB interface library
 libx11-xcb1-dbg - Xlib/XCB interface library (debug package)
Closes: 669670
Changes: 
 libx11 (2:1.4.99.901-2) unstable; urgency=low
 .
   * Add AC_CHECK_DECL(issetugid) to fix FTBFS on kfreebsd (closes: #669670).
Checksums-Sha1: 
 ea80dd0e8f1493a47b909a52b54f67aa63a391af 2519 libx11_1.4.99.901-2.dsc
 72e89676559fcd57844ecdfea82c1d985d6ae723 83397 libx11_1.4.99.901-2.diff.gz
 764b3e9538721dc901e5027f0af7c56450ec7237 186278 libx11-data_1.4.99.901-2_all.deb
 0d95d91ca82ab7d4eac7e0c9dafa3b12b76c2be4 3177162 libx11-doc_1.4.99.901-2_all.deb
 90c97dcde66819275490c8e9f7252e59249b3f3b 897766 libx11-6_1.4.99.901-2_amd64.deb
 734be48c5a08b040a02f8a50a6f1123d6f8bda5f 760624 libx11-6-udeb_1.4.99.901-2_amd64.udeb
 84250c2b8b24349ef423295db9fa203b27c68dcf 2880832 libx11-6-dbg_1.4.99.901-2_amd64.deb
 cafe2a5e6434984a9d6b8708af04c5b06113e8c4 1032822 libx11-dev_1.4.99.901-2_amd64.deb
 de1058de4df922b7071972de4c325e8f401929ac 137280 libx11-xcb1_1.4.99.901-2_amd64.deb
 4bf4919b272dc2c57b19dd9ac2f553952a99dc6c 151044 libx11-xcb1-dbg_1.4.99.901-2_amd64.deb
 a9003f48170bad726cae6c7cad7968c92971d72c 139366 libx11-xcb-dev_1.4.99.901-2_amd64.deb
Checksums-Sha256: 
 d01614e9a113a087c4573fb8988ce3ded4467208d4aad75f717cb367316d10e9 2519 libx11_1.4.99.901-2.dsc
 470f8b7c49cbc59972700d3ebdba5ce19803c6b27266c47eba506ec7719fab6e 83397 libx11_1.4.99.901-2.diff.gz
 dddb1940718b0d02e4d8e995da5aaa11a3521f3c11496a3267a0aad9b3c851fd 186278 libx11-data_1.4.99.901-2_all.deb
 64e50d8c067994cb64d2c1642c421958283659b9daee55d1cd8e1291debbf812 3177162 libx11-doc_1.4.99.901-2_all.deb
 337abb082ce22cdf40f5595f397e4f2b2c5ee185e34ade1cd36db9dde92f8d65 897766 libx11-6_1.4.99.901-2_amd64.deb
 e0c484eac69df330b494aa92fa9b8e184cf6c60c8835e88f6dbba9ccd7181bd6 760624 libx11-6-udeb_1.4.99.901-2_amd64.udeb
 d7b256065c15ebe00968228ec95225d93c8df498154c711666923e6551e26972 2880832 libx11-6-dbg_1.4.99.901-2_amd64.deb
 ef7deb895a132061b0e03d537d9f7e53b28e3e9bb8344a0686ef51ef5822f2c5 1032822 libx11-dev_1.4.99.901-2_amd64.deb
 f2ddb2234c3adbc1da45dcda47f3e9ee9c8821395dd00e3e75f5d9aac69bf8f7 137280 libx11-xcb1_1.4.99.901-2_amd64.deb
 8d761cdd8fe801324bd86d2a3ba4655202e51ec5cd7f379d3b6f56e5f1de5d55 151044 libx11-xcb1-dbg_1.4.99.901-2_amd64.deb
 e02bb4053cfdc6ec8dd74d80dd0a0a9123793c555a89f9fce30cdc0dbdcd0f71 139366 libx11-xcb-dev_1.4.99.901-2_amd64.deb
Files: 
 c64920398ff981d84bcca9fdf16e6f78 2519 x11 optional libx11_1.4.99.901-2.dsc
 52bf05fc82c16097d8058634a2e58c30 83397 x11 optional libx11_1.4.99.901-2.diff.gz
 429147280c8297b81725a404c48200bd 186278 x11 optional libx11-data_1.4.99.901-2_all.deb
 a89a6059bbe4f018a50b0173ceac10e3 3177162 doc optional libx11-doc_1.4.99.901-2_all.deb
 147f45064577e95222f3a153a9c4d5ac 897766 libs optional libx11-6_1.4.99.901-2_amd64.deb
 d14cfaf9b1b5477375826f52d6193724 760624 debian-installer optional libx11-6-udeb_1.4.99.901-2_amd64.udeb
 ab39bcaa18cc104b13f2d1fc6ad02ae1 2880832 debug extra libx11-6-dbg_1.4.99.901-2_amd64.deb
 a293373a5ee3683bd8653cc31aa29532 1032822 libdevel optional libx11-dev_1.4.99.901-2_amd64.deb
 81496c2c7f26e5fd2125e64e7cab9010 137280 libs optional libx11-xcb1_1.4.99.901-2_amd64.deb
 376956134d558b3236d40337fb441a75 151044 debug extra libx11-xcb1-dbg_1.4.99.901-2_amd64.deb
 5b46e042b4e53412ccc39b6ec32cf77f 139366 libdevel optional libx11-xcb-dev_1.4.99.901-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPnV/uAAoJEDEBgAUJBeQMh7gP/A4jPwkkH4YPbkUPxKj6nv1t
WfJLi6bLSS1dZ7A1volw8IsCHQYpCE79mvZf/aoPevN/sEk4MwGm/s6vy0DTAjMo
dkNvokHV22CX4XlEG87oDLxrXMqQvMWf2X16Vq40AcFpvNp7QKeGCoOegRwqlbVH
Lbb9+hiraQSjUWG7P/ULoP5tSMBiCH/ApLYfiCtRhcT74MA3Xc/uiA0bBzMQo2vI
Gqgz/8VlN6MDu+8CHeOD3ouAU7uuddflkTpBLpTjOf6NP5YZ9rnhskgwBfrITFyv
+k0Rnfcy6ikNjs7NtOo7lTG+MQlLsWyOIjdIDNI7KmbWswGlciobWN/d9j84d8A6
45aYdfyib1TFSyn23nJkYwgj4GqDGiJlc9sPJhU1fhWqw+5dnzPtFAr6GV5Vj08X
LjbHuVTUrs7dIsgd0g2isPMG48m8UmLMXO0RMWGpp9Qmxhwwsng6OsOOuUhwkE/A
3piouJs356hdtAsF55uU2ANu5YRO3XjmQVwH+F7UFWXxlXgJiKnqdTr9lIfhWCtJ
7Uf2J7P3m8jb4ujtUwUWwH1HdttFEQlom6qJkkZSr4rm0WQkkqQdNyzNtiwETy91
Df6+EwppdfQCsWX0kynqTSpVqJjkP41Qr42QpogG5ccsRBu8IPdU2NLO0Rc1LEzN
KI2qHT9NSApIhw2XRfHP
=mPSJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 May 2012 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:30:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.